Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Class WCSConfiguration

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.ogcwebservices.getcapabilities.OGCStandardCapabilities
              org.deegree.ogcwebservices.wcs.getcapabilities.WCSCapabilities
                  org.deegree.ogcwebservices.wcs.configuration.WCSConfiguration

All Implemented Interfaces:
  Serializable

    public class WCSConfiguration

extends WCSCapabilities

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`WCSConfiguration(String version, String updateSequence, WCSDeegreeParams deegreeParams, Service service, Capability capabilitiy, ContentMetadata contentMetadata)` creates a WCSConfiguration from its sections

Method Summary
`static WCSConfiguration` | `create(URL url)` creates a WCSConfiguration from an URL enabling access to a deegree WCS configuration document
`WCSDeegreeParams` | `getDeegreeParams()`
`void` | `setDeegreeParam(WCSDeegreeParams deegreeParams)`

Methods inherited from class org.deegree.ogcwebservices.wcs.getcapabilities.WCSCapabilities
`getContentMetadata, setContentMetadata`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCStandardCapabilities
`getCapabilitiy, getService, setCapabilitiy, setService`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WCSConfiguration

    public WCSConfiguration(String version,
                            String updateSequence,
                            WCSDeegreeParams deegreeParams,
                            Service service,
                            Capability capabilitiy,
                            ContentMetadata contentMetadata)

  creates a WCSConfiguration from its sections

  Parameters:
    `version` -
    `updateSequence` -
    `service` -
    `capabilitiy` -
    `contentMetadata` -

Method Detail

### create

    public static WCSConfiguration create(URL url)
                                   throws IOException,
                                          SAXException,
                                          InvalidCapabilitiesException,
                                          InvalidConfigurationException

  creates a WCSConfiguration from an URL enabling access to a deegree WCS configuration document

  Parameters:
    `url` -
  Returns:
    a WCSConfiguration
  Throws:
    `IOException`
    `SAXException`
    `InvalidCapabilitiesException`
    `InvalidConfigurationException`

### getDeegreeParams

    public WCSDeegreeParams getDeegreeParams()

  Returns:
    Returns the deegreeParam.

### setDeegreeParam

    public void setDeegreeParam(WCSDeegreeParams deegreeParams)

  Parameters:
    `deegreeParams` - The deegreeParam to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org